去发现生活中的美好,记录生活中的点点滴滴
  • 几个经典排序(php)
  • PHP中实现图片批量打包下载
  • 『引』最全前端资源汇集
  • 微信高并发资金交易系统设计方案——百亿红包背后的技术支撑(转)
php

rabbitmq常用命令

启动服务 rabbitmq-server start & 停止服务 rabbitmq-server stop & 查看队列中的数据 /usr/sbin/rabbitmqctl list_queues 查看节点状态 rabbitmqctl st...

admin 1周前 (03-13) 10℃ 1喜欢

mysql

MySQL两种存储引擎: MyISAM和InnoDB 简单总结

MyISAM是MySQL的默认数据库引擎(5.5版之前),由早期的ISAM(Indexed Sequential Access Method:有索引的顺序访问方法)所改良。虽然性能极佳,但却有一个缺点:不支持事务处理(transaction)。不过,在这几年的发展下,MySQL也...

admin 3周前 (02-28) 24℃ 0喜欢

mysql

数据库维护

备份单个数据库: mysqldump -u root -p 数据库名 > ./20190222.sql 如果文件比较大,则使用压缩: mysqldump -u root -p 数据库名 | gzip > ./20190222.sql.gz 备份所有数据库: ...

admin 4周前 (02-22) 46℃ 0喜欢

mysql

phpstudy升级mysql版本

phpstudy默认的mysql版本是5.5,版本过低会影响一些功能的使用,比如timestamp不能设置多个CURRENT_TIMESTAMP等问题。下面介绍升级phpstudy的方法: 先确定phpstudy是32位还是64位,来决定下载的mysql是32位还是64位。 my...

admin 3个月前 (12-19) 168℃ 1喜欢

php

laravel内置邮件发送问题汇总

1、laravel新增发件人配置: 在需要发送邮件的地方,加上以下配置 //修改邮箱配置 \Config::set('mail.from', ['address' => $data['email'], 'name' => $data['use...

admin 3个月前 (12-12) 84℃ 1喜欢

php

laravel使用模型关联with问题

1、在laravel使用with关联模型的时候,需要指定字段输出,这个时候,发现返回的值为空,经排查,是因为关联的id没有全部放出来查询: public function user(){ return $this->hasMany('App\Mode...

admin 4个月前 (11-29) 122℃ 1喜欢

mysql

mysql常用SQL语句汇总

— 统计分组后的总数量 SELECT count(*) FROM DUAL where (SELECT count(*) AS c FROM `table` GROUP BY `id`) 转载请注明:永盟博客 » mysql常用...

admin 4个月前 (11-16) 132℃ 0喜欢

php

Laravel-mix的安装及使用

Laravel Mix 提供了简介且可读性高的 API,用于使用几个常见的 CSS 和 JavaScript 预处理器为应用定义 Webpack 构建步骤。可以通过简单链式调用来定义资源的编译。我的理解是,可以使用webpack打包js、css等资源文件,同时会给每一个版本加上版...

admin 5个月前 (11-01) 181℃ 1喜欢

php

php精确计算合集

/** * 精确加法 * @param [type] $a [description] * @param [type] $b [description] */ function math_add($a,$b,$scale = '2') { return...

admin 6个月前 (09-12) 203℃ 0喜欢

git

gitea安装及使用

Gitea 是一个开源社区驱动的 Gogs 克隆, 是一个轻量级的代码托管解决方案,后端采用 Go 编写,采用 MIT 许可证,相比gitlab,gitea更轻量、占用资源更少(gitlab安装最低要求需要内存4G及以上)。 下面介绍安装和使用gitea: 二进制安装 wge...

admin 8个月前 (08-08) 417℃ 0喜欢

git

CentOS7升级git版本

最近用到了gitea,但是gitea要求git版本最低v2.1.2;所以需要升级git,下面介绍升级git升级。 先看下版本是不是v2.1.2以上,如果是,则无需处理; git --version 如果版本比较低,则卸载旧版本: yum -y remove git 安装升...

admin 8个月前 (08-08) 171℃ 1喜欢